
struct PostVideo: HtmlProducer {

    struct Video {
        let path: String
        let type: String
    }

    let videos: [Video]

    func populate(_ result: inout String) {
        result += "<video autoplay loop muted playsinline>"
        result += "Video not supported."
        for video in videos {
            result += "<source src='\(video.path)' type='\(video.type)'>"
        }
        result += "</video>"
    }
}
